Page Summary
-
Display & Video 360 API v1 has been sunset.
-
This method assigns a targeting option to an advertiser and returns the assigned targeting option upon success.
-
The HTTP request uses a POST method to a specific URL structure including the advertiser ID and targeting type.
-
Path parameters like
advertiserIdandtargetingTypeare required and define the target of the assignment. -
The request and response bodies contain instances of
AssignedTargetingOptionand require thehttps://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Assigns a targeting option to an advertiser. Returns the assigned targeting option if successful.
HTTP request
POST https://displayvideo.googleapis.com/v1/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types: |
Request body
The request body contains an instance of AssignedTargetingOption.
Response body
If successful, the response body contains a newly created instance of AssignedTargetingOption.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.